
@import "../../style/miam.scss";
$mobileBreakpoint: 768px;


.name-and-brand{
 display : flex ;
 flex-direction : columns;
  justify-content: space-between;
}
.top-line {
  position: relative;

  .ingredient-name {
    font-size: 12px;
    background-color: var(--m-color-primary);
    color:  #fff;
    padding: 2px 15px 2px 25px;
    width: 350px;
    transform: skew(-45deg);
    margin-left: -26px;
  
    @media (max-width: $mobileBreakpoint) {
      margin-left: -11px;
      width: 200px;
    }
  
    .content {
      transform: skew(45deg);
    }
  }

  .btn-link {
    position: absolute;
    right: 12px;
    top: 4px;
    padding: 0;
  }
}

.basket-entry {
  display: flex;
  width: 100%;
  padding-top: 10px;
  padding-bottom: 10px;
  line-height: 1.2;

  @media (max-width: $mobileBreakpoint) {
    flex-direction: column;
    padding:  10px 15px;
  }
  
  .picture-and-name {
    width: 50%;
    display : flex;

    @media (max-width: $mobileBreakpoint) {
      width: 100%;
    }

    img.picture {
      width: 70px;
      max-height: 70px;
      object-fit: cover;
      margin-right: 15px;

      @media (max-width: $mobileBreakpoint) {
        width: 50px;
        margin-right: 18px;
      }
    }
    
    .capacity, .brand {
      font-size: 12px;
    }

    .tag {
      display: inline-block;
      padding: 6px 12px;
      font-size: 12px;
      border-radius: var(--m-border-radius);
      background-color: var(--m-color-secondary-light);
    }
  }

  .qty-and-price {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    width: 50%;
   

    @media (max-width: $mobileBreakpoint) {
      width: 100%;
      margin-top: 10px;

      &:first-child {
        align-items: center;
      }
    }
    .topline-price{
      display: flex;
      justify-content: space-between;
    }

    .qty {
      font-size: 14px;

      .qty-button {
        font-size: 10px;
        color: theme-color('tertiary');
        background-color: #fef7eb;
        padding: 8px;
        border-radius: 4px;
        cursor: pointer;

        &.delete {
          background-color: transparent;
          padding: 8px 5px;
          user-select: none;
        }
      }
    }

    .price {
      white-space: nowrap;

      .price-subline {
        font-size: 12px;
      }
    }

    .controls {
      .other-products {
        font-size: 12px;
        color: black;
        text-decoration: underline;
        padding: 0;
        text-align: right;
        line-height: 1.2;
      }
    }
  }
}